﻿This font is for personal use ONLY ... although donations are appreciated!

Kindly give as much as you honestly feel the font is worth to you.

Paypal account for donation: 

dawsonjoseph333@gmail.com

For commercial use you must pay $10 USD.

Link to purchase a commercial license :
https://www.creativefabrica.com/product/magic-hat/ref/236312/

Please visit our store for more great fonts:
https://www.creativefabrica.com/ref/236312/
